/*
 * Copyright (c) 2001-2003 The Trustees of Indiana University.  
 *                         All rights reserved.
 * Copyright (c) 1998-2001 University of Notre Dame. 
 *                         All rights reserved.
 * Copyright (c) 1994-1998 The Ohio State University.  
 *                         All rights reserved.
 * 
 * This file is part of the LAM/MPI software package.  For license
 * information, see the LICENSE file in the top level directory of the
 * LAM/MPI source distribution.
 * 
 * $HEADER$
 *
 *      $Id: 11_callerr_cxx.cc,v 1.1 2003/02/16 21:20:12 vsahay Exp $
 */

#include <iostream>
#include <mpi.h>

int
main(int argc, char** argv)
{
  int i;
  int *winArea;
  MPI::Init(argc, argv);
  
  winArea = (int*) MPI_Alloc_mem(sizeof(int), MPI::INFO_NULL);

  MPI::Win win = MPI::Win::Create(winArea, sizeof(int), sizeof(int),
                                  MPI::INFO_NULL, MPI::COMM_WORLD);

  win.Call_errhandler(1);

  MPI::Free_mem(winArea);
  MPI::Finalize();
  return(0);
}
